<?php
/*
  +----------------------------------------------------------------------+
  | Uploadprogress extension                                             |
  +----------------------------------------------------------------------+
  | Copyright (c) 2006-2008 The PHP Group                                |
  +----------------------------------------------------------------------+
  | This source file is subject to version 3.01 of the PHP license,      |
  | that is bundled with this package in the file LICENSE, and is        |
  | available through the world-wide-web at the following url:           |
  | http://www.php.net/license/3_01.txt.                                 |
  | If you did not receive a copy of the PHP license and are unable to   |
  | obtain it through the world-wide-web, please send a note to          |
  | license@php.net so we can mail you a copy immediately.               |
  +----------------------------------------------------------------------+
  | Author: Christian Stocker (chregu@php.net)                           |
  +----------------------------------------------------------------------+
  Changes by ApPHP:
  #001 [10.10.2011] check for existing variables
*/
session_start();

define('UPLOADER_DIR','../');
require_once(UPLOADER_DIR.'fileuploader.class.php');
include_once(UPLOADER_DIR.'resources/config.php');
if(empty($_SERVER['HTTP_REFERER'])||
          !preg_match('/'.$_SERVER['HTTP_HOST'].'/', $_SERVER['HTTP_REFERER'])){
  		@header('HTTP/1.1 403 Forbidden');
    	exit('Access forbbiden');
 	}

// CSRF validation
if($CSRF_CHECK && (!isset($_SESSION['uploader_password']) || $_SESSION['uploader_password'] != $dictionary['Password'])){
	echo 'Token validation was not successful';
	return;
}

$id=FileUploader::GetParam('id','get');
$controlid=FileUploader::GetParam('controlid','get');
$index=FileUploader::GetParam('index','get');
$seconds=FileUploader::GetParam('seconds','get');
$url = parse_url( isset($_SERVER['HTTP_REFERER']) ? $_SERVER['HTTP_REFERER'] : '');
if(isset( $url['host']) && ($url['host'] == $_SERVER['SERVER_NAME']) && function_exists('uploadprogress_get_info') && $id != '') {
    $info = uploadprogress_get_info($id);
}else{
    $info = false;
}
?>
<html>
<head>
<script type="text/javascript">
<?php
if(isset( $url['host']) && ($url['host'] == $_SERVER['SERVER_NAME']) && $id!=""){
	if ($info !== null) {
    	print 'parent.UP.updateInfo("'.$id.'","' .$controlid.'","'.$index.'",'.$info['bytes_uploaded'].','.$info['bytes_total'].','.$info['est_sec'].')';
	} else {
    	print 'parent.UP.updateInfo("'.$id.'","'.$controlid.'","'.$index.'")';
    }
}
?>
</script>
</head>
<body>
<pre>
<?php
if(isset( $url['host']) && ($url['host'] == $_SERVER['SERVER_NAME']))
{
	if($id != ''){
		if ($info !== null) {
    		echo 'Download started since '.$seconds.' seconds.<br/>Bytes uploaded: '.$info['bytes_uploaded']. '<br/>Bytes total: '. $info['bytes_total'].'.<br/>' . $info['est_sec'] . '  seconds to go';
		} else {
    		echo 'Download started since '.$seconds.' seconds.<br/>No progress info yet';
		}
	}
	else
	{
		echo 'Download has finished';
	}
}
?>
</pre>
</body>